Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.objects
Class CAST3SecretKey

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.objects.Object
            |
            +--iaik.pkcs.pkcs11.objects.Storage
                  |
                  +--iaik.pkcs.pkcs11.objects.Key
                        |
                        +--iaik.pkcs.pkcs11.objects.SecretKey
                              |
                              +--iaik.pkcs.pkcs11.objects.CAST3SecretKey

All Implemented Interfaces:
  java.lang.Cloneable

public class CAST3SecretKey
extends SecretKey

Objects of this class represent CAST3 secret keys as specified by PKCS#11 v2.11.

Version:
  1.0
Author:
  Karl Scheibelhofer

Inner classes inherited from class iaik.pkcs.pkcs11.objects.Key
`Key.KeyType, Key.VendorDefinedKeyBuilder`

Inner classes inherited from class iaik.pkcs.pkcs11.objects.Object
`Object.ObjectClass, Object.VendorDefinedObjectBuilder`

Field Summary
`protected ByteArrayAttribute` | `value_` The value attribute of this secret key.
`protected LongAttribute` | `valueLen_` The length of this secret key in bytes.

Fields inherited from class iaik.pkcs.pkcs11.objects.SecretKey
`alwaysSensitive_, checkValue_, decrypt_, encrypt_, extractable_, neverExtractable_, sensitive_, sign_, trusted_, unwrap_, unwrapTemplate_, verify_, wrap_, wrapTemplate_, wrapWithTrusted_`

Fields inherited from class iaik.pkcs.pkcs11.objects.Key
`allowedMechanisms_, derive_, endDate_, id_, keyGenMechanism_, keyType_, keyTypeNames_, local_, startDate_, vendorKeyBuilder_`

Fields inherited from class iaik.pkcs.pkcs11.objects.Storage
`label_, modifiable_, private_, token_`

Fields inherited from class iaik.pkcs.pkcs11.objects.Object
`attributeTable_, objectClass_, objectClassNames_, objectHandle_, vendorObjectBuilder_`

Constructor Summary
`` | `CAST3SecretKey()` Deafult Constructor.
`protected` | `CAST3SecretKey(Session session, long objectHandle)` Called by getInstance to create an instance of a PKCS#11 CAST3 secret key.

Method Summary
`protected void` | `allocateAttributes()` Allocates the attribute objects for this class and adds them to the attribute table.
`java.lang.Object` | `clone()` Create a (deep) clone of this object.
`boolean` | `equals(java.lang.Object otherObject)` Compares all member variables of this object with the other object.
`static Object` | `getInstance(Session session, long objectHandle)` The getInstance method of the SecretKey class uses this method to create an instance of a PKCS#11 CAST3 secret key.
`ByteArrayAttribute` | `getValue()` Gets the value attribute of this CAST3 key.
`LongAttribute` | `getValueLen()` Gets the value length attribute of this CAST3 key (in bytes).
`protected static void` | `putAttributesInTable(CAST3SecretKey object)` Put all attributes of the given object into the attributes table of this object.
`void` | `readAttributes(Session session)` Read the values of the attributes of this object from the token.
`java.lang.String` | `toString()` This method returns a string representation of the current object.

Methods inherited from class iaik.pkcs.pkcs11.objects.SecretKey
`getAlwaysSensitive, getCheckValue, getDecrypt, getEncrypt, getExtractable, getNeverExtractable, getSensitive, getSign, getTrusted, getUnknownSecretKey, getUnwrap, getUnwrapTemplate, getVerify, getWrap, getWrapTemplate, getWrapWithTrusted, putAttributesInTable`

Methods inherited from class iaik.pkcs.pkcs11.objects.Key
`getAllowedMechanisms, getDerive, getEndDate, getId, getKeyGenMechanism, getKeyType, getKeyTypeName, getLocal, getStartDate, getVendorDefinedKeyBuilder, hashCode, putAttributesInTable, setVendorDefinedKeyBuilder`

Methods inherited from class iaik.pkcs.pkcs11.objects.Storage
`getLabel, getModifiable, getPrivate, getToken, putAttributesInTable`

Methods inherited from class iaik.pkcs.pkcs11.objects.Object
`getAttributeTable, getAttributeValue, getAttributeValues, getObjectClass, getObjectClassName, getObjectHandle, getSetAttributes, getSetAttributes, getUnknownObject, getVendorDefinedObjectBuilder, putAttributesInTable, setObjectHandle, setVendorDefinedObjectBuilder`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### value_

    protected ByteArrayAttribute value_

  The value attribute of this secret key.

### valueLen_

    protected LongAttribute valueLen_

  The length of this secret key in bytes.

Constructor Detail

### CAST3SecretKey

    public CAST3SecretKey()

  Deafult Constructor.

### CAST3SecretKey

    protected CAST3SecretKey(Session session,
                             long objectHandle)
                      throws TokenException

  Called by getInstance to create an instance of a PKCS#11 CAST3 secret key.
  Parameters:
    `session` - The session to use for reading attributes. This session must have the appropriate rights; i.e. it must be a user-session, if it is a private object.
    `objectHandle` - The object handle as given from the PKCS#111 module.
  Throws:
    `TokenException` - If getting the attributes failed.

Method Detail

### getInstance

    public static Object getInstance(Session session,
                                     long objectHandle)
                              throws TokenException

  The getInstance method of the SecretKey class uses this method to create an instance of a PKCS#11 CAST3 secret key.
  Parameters:
    `session` - The session to use for reading attributes. This session must have the appropriate rights; i.e. it must be a user-session, if it is a private object.
    `objectHandle` - The object handle as given from the PKCS#111 module.
  Returns:
    The object representing the PKCS#11 object. The returned object can be casted to the according sub-class.
  Throws:
    `TokenException` - If getting the attributes failed.

### putAttributesInTable

    protected static void putAttributesInTable(CAST3SecretKey object)

  Put all attributes of the given object into the attributes table of this object. This method is only static to be able to access invoke the implementation of this method for each class separately (see use in clone()).
  Parameters:
    `object` - The object to handle.

### allocateAttributes

    protected void allocateAttributes()

  Allocates the attribute objects for this class and adds them to the attribute table.
  Overrides:
    `allocateAttributes` in class `SecretKey`

### clone

    public java.lang.Object clone()

  Create a (deep) clone of this object.
  Overrides:
    `clone` in class `SecretKey`
  Returns:
    A clone of this object.

### equals

    public boolean equals(java.lang.Object otherObject)

  Compares all member variables of this object with the other object. Returns only true, if all are equal in both objects.
  Overrides:
    `equals` in class `SecretKey`
  Parameters:
    `otherObject` - The other object to compare to.
  Returns:
    True, if other is an instance of this class and all member variables of both objects are equal. False, otherwise.

### getValue

    public ByteArrayAttribute getValue()

  Gets the value attribute of this CAST3 key.
  Returns:
    The value attribute.

### getValueLen

    public LongAttribute getValueLen()

  Gets the value length attribute of this CAST3 key (in bytes).
  Returns:
    The value attribute.

### readAttributes

    public void readAttributes(Session session)
                        throws TokenException

  Read the values of the attributes of this object from the token.
  Overrides:
    `readAttributes` in class `SecretKey`
  Parameters:
    `session` - The session handle to use for reading attributes. This session must have the appropriate rights; i.e. it must be a user-session, if it is a private object.
  Throws:
    `TokenException` - If getting the attributes failed.

### toString

    public java.lang.String toString()

  This method returns a string representation of the current object. The output is only for debugging purposes and should not be used for other purposes.
  Overrides:
    `toString` in class `SecretKey`
  Returns:
    A string presentation of this object for debugging output.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18